/*
   +-------------------------------------+
   | File: cube.h                        |
   |                                     |
   | Copyright 1999 by Michael B. Martin |
   +-------------------------------------+
   | Cubist: Rubik's Cube (tm) simulator |
   | version 1.0                         |
   +-------------------------------------+
*/

#ifndef CUBE_H
#define CUBE_H

#include "global.h"

extern int moves;						/* number of moves made */
extern bool display_moves;				/* show movements? */
/* the cube data itself */
extern int side1[9], side2[9], side3[9], side4[9], side5[9], side6[9];

/* public function prototypes */
void Solve(void);
bool IsSolved(void);
void Scramble(void);
void Reset(void);
void rotate_top_left(void);
void rotate_center_left(void);
void rotate_bottom_left(void);
void rotate_top_right(void);
void rotate_center_right(void);
void rotate_bottom_right(void);
void rotate_left_up(void);
void rotate_center_up(void);
void rotate_right_up(void);
void rotate_left_down(void);
void rotate_center_down(void);
void rotate_right_down(void);
void rotate_front_clockwise(void);
void rotate_front_counterclockwise(void);
void rotate_up(void);
void rotate_down(void);
void rotate_left(void);
void rotate_right(void);
void rotate_counterclockwise(void);
void rotate_clockwise(void);
void DoPattern1(void);
void DoPattern2(void);
void DoPattern3(void);
void DoPattern4(void);

#endif
