/*
   +-------------------------------------+
   | File: cubeglut.h                    |
   |                                     |
   | Copyright 1999 by Michael B. Martin |
   +-------------------------------------+
   | Cubist: Rubik's Cube (tm) simulator |
   | version 1.0                         |
   +-------------------------------------+
*/

#ifndef CUBEGLUT_H
#define CUBEGLUT_H

#include "global.h"
#include "cube.h"

#include <GL/glut.h>

#define MSECS 1000

// external variable declarations
extern bool lighting;		// use OpenGL lighting?
extern bool rotating;		// apply free rotation?
extern bool dirty;			// do we need to redraw?
extern bool animating;		// are we animating a move now?
extern bool moving;		// is a movement thread running?
extern bool showFPS;		// show frame rate counter in "HUD"?
extern bool showMessages;	// show "HUD" messages?
extern int frames;				// variables for calculating frame rates
extern float timeStart, timeEnd, fps;	//    "
extern sem_id draw_sem;		// semaphore for animating processes
extern thread_id anim_thread;	// thread for animating processes
extern GLfloat Xrot, Yrot;		// cube rotation angles
extern char *message;			// string for informational messages

// public function prototypes
void initGLUT(void);
void Run(void);

#endif