/*
   +-------------------------------------+
   | File: glviewmain.cpp                |
   |                                     |
   | Copyright 1999 by Michael B. Martin |
   +-------------------------------------+
   | Cubist: Rubik's Cube (tm) simulator |
   | version 1.0                         |
   +-------------------------------------+
*/

#include <Application.h>
#include <Window.h>

#include <time.h>
#include "cubeglview.h"

extern "C" {
	void Reset(void);
}

class CubeGLApp;
class CubeGLWindow;

class CubeGLApp : public BApplication {
		CubeGLWindow *theWindow;
	public:
		CubeGLApp();
};

class CubeGLWindow : public BWindow {
		CubeGLView *theView;
	public:
		CubeGLWindow(BRect frame, uint32 type);
		virtual bool QuitRequested();
};

CubeGLApp::CubeGLApp() : 
	BApplication("application/x-vnd.mbm-cubist")
{
	BRect windowRect;
	uint32 type;

	type = BGL_RGB|BGL_DOUBLE|BGL_DEPTH;
	windowRect.Set(50,50,250,250);
	theWindow = new CubeGLWindow(windowRect, type);
}

CubeGLWindow::CubeGLWindow(BRect frame, uint32 type) : 
	BWindow(frame, "OpenGL Cubist", B_TITLED_WINDOW, 0)
{
	theView = new CubeGLView(Bounds(), B_FOLLOW_ALL_SIDES, type);
	AddChild(theView);
	Show();
	theView->Render();
	SetPulseRate(50000);
}

bool CubeGLWindow::QuitRequested()
{
	be_app->PostMessage(B_QUIT_REQUESTED);
	return(true);
}

main()
{
	new CubeGLApp();
	be_app->Run();
	delete be_app;
}
